--
-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-- THIS FILE IS AUTOMATICALLY GENERATED BY THE sqlplayer.py
-- DO NOT EDIT AS IT WILL GET OVERWRITTEN
-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
--


-- Executing 10_products_renamed_to_southwind.sql

USE `northwind`;

--
-- Change the product_names' 'Northwind' by 'Southwind'
--
-- The purpose of this script is to cause "some changes" to the data in OLTP to test whether the SCD properly works.
--

UPDATE `products` SET product_name = REPLACE(product_name, 'Northwind', 'Southwind') WHERE INSTR(product_name, 'Northwind') > 0;


-- Executing 11_products_renamed_oil_to_fat.sql

USE `northwind`;

--
-- Change 'Oil' by 'Fat' (which is nonsense of course, but helps to test our DWH ;-))
--
-- The purpose of this script is to cause "some changes" to the data in OLTP to test whether the SCD properly works.
--

UPDATE `products` SET category = 'Fat' WHERE category = 'Oil'


-- Executing 20_customer_add_customer.sql

USE `northwind`;

--
-- Add a new customer
--
-- The purpose of this script is to cause "some changes" to the data in OLTP to test whether the SCD properly works.
--

INSERT INTO `customers` (`id`, `company`, `last_name`, `first_name`, `email_address`, `job_title`, `business_phone`, `home_phone`, `mobile_phone`, `fax_number`, `address`, `city`, `state_province`, `zip_postal_code`, `country_region`, `web_page`, `notes`, `attachments`) VALUES (30, 'Company DD', 'Hansueli', 'Supergeilo', NULL, 'CCCEO', '(123)555-0100', NULL, NULL, '(123)555-0101', '789 29th Street', 'Denver', 'MA', '99999', 'USA', NULL, NULL, '');


-- Executing 21_customer_change_customer.sql

USE `northwind`;

--
-- Change the state/province of a customer (he obviously moved location)
--
-- The purpose of this script is to cause "some changes" to the data in OLTP to test whether the SCD properly works.
--

UPDATE `customers` SET `state_province` = 'MA' WHERE `company` = 'Company C';
